https://slack.com/files.listList for a team, in a channel, or from a user with applied filters.
Authentication token. Requires scope: `files:read`
Filter files created by a single user.
Filter files appearing in a specific channel, indicated by its ID.
Filter files created after this timestamp (inclusive).
Filter files created before this timestamp (inclusive).
Filter files by type ([see below](#file_types)). You can pass multiple values in the types argument, like `types=spaces,snippets`.The default value is `all`, which does not filter the list.
Show truncated file info for files hidden due to being too old, and the team who owns the file being over the file limit.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://slack.com/files.list' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://slack.com/files.listList for a team, in a channel, or from a user with applied filters.
Authentication token. Requires scope: `files:read`
Filter files created by a single user.
Filter files appearing in a specific channel, indicated by its ID.
Filter files created after this timestamp (inclusive).
Filter files created before this timestamp (inclusive).
Filter files by type ([see below](#file_types)). You can pass multiple values in the types argument, like `types=spaces,snippets`.The default value is `all`, which does not filter the list.
Show truncated file info for files hidden due to being too old, and the team who owns the file being over the file limit.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://slack.com/files.list' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}